For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fetch Payment Methods

This endpoint fetches the available payment methods supported by XtraPay based on the currency

Endpoint

POST https://api.xtrakit.com/api/v1/momo/payment-methods

Currency - Supported currencies : (GHS)

Headers

Authorization: Bearer API_KEY

Request Body

Parameters
Type
Description

currency

string

Required

The currency you are using to make a payment

Sample Requests

<?php
$curl = curl_init();

$data = [
  'currency' => "GHS",
];

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.xtrakit.com/api/v1/momo/payment-methods',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => $data,
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer API_KEY', // Replace 'API_KEY' with your actual API key
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

?>

Sample Response

Last updated